- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\FFProbe\Mapper

class Mapper implements MapperInterface

## Methods

Format|Stream | map(string $type, string $data) Maps data given its type. |

## Details

###
at line 25
`public Format|Stream map(string $type, string $data)`

Maps data given its type.

#### Parameters

string | $type | One of FFProbe::TYPE_* constant
string | $data | The data

#### Return Value

Format|Stream |

#### Exceptions

InvalidArgumentException | In case the type is not supported